Subject: Re: Meeting in China
From: Ahmad Negahban <[email-masked]>
To: Info <[email-masked]>
Date: Tue, 25 Jul 2023 09:27:17 +0000

Hello Mr Niroumand,
I am in China and I would like to know if you are planning to visit, I would like to discuss more about our business and introduce investors for LNG production and other products.

Best regards
Ahmad Negahban

Sent from my iPhone

On Jul 8, 2023, at 22:34, Info <[email-masked]> wrote:

Dear Sir,

Please advise how fast you can proceed then I will check with my boss and revert with passports.

Many thanks

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: AL Negahban<mailto:[email-masked]>
Sent: Saturday, July 8, 2023 7:15 AM
To: Info<mailto:[email-masked]>
Subject: Re: Meeting in China

Please send me your passports and when are you planning to go.

Thanks

On Jul 8, 2023, at 17:23, Info <[email-masked]> wrote:

Dear Sir,

How much does it take for visa ?

Can you please arrange for fast visa and invitation.

Many thanks
Commercial deprt

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: AL Negahban<mailto:[email-masked]>
Sent: Wednesday, July 5, 2023 10:31 PM
To: [email-masked]<mailto:[email-masked]>
Subject: Meeting in China

Hello Mr Niroumand,

Can you please advise when will you planning to visit China so we can continue our conversation to develop business joint venture .
Please advise if you need any support to get the Visa.

Thanks

Ahmad Negahban